
#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

//是否开启高亮
uniform int u_isOpen;
//亮度
uniform float u_brightness;

void main() {
    
    vec4 sampleColor = texture2D(CC_Texture0, v_texCoord) * v_fragmentColor;
    
    if (u_isOpen != 0) {
        
        float a = sampleColor.a;
        float r = sampleColor.r;
        float g = sampleColor.g;
        float b = sampleColor.b;
        
        if (a >= 0.5) {
            //将RGB转换成YUV,Y亮度，U,V色度
            float y = dot(sampleColor.rgb, vec3(0.299, 0.587, 0.114));
            float u = dot(sampleColor.rgb, vec3(-0.147, -0.289, 0.436));
            float v = dot(sampleColor.rgb, vec3(0.615, -0.515, -0.100));
            y *= (1.0 + u_brightness * (1.0 - y));
            u *= (1.0 + u_brightness * (1.0 - u));
            v *= (1.0 + u_brightness * (1.0 - v));
            sampleColor.r = y + 1.140 * v;
            sampleColor.g = y - 0.394 * u - 0.581 * v;
            sampleColor.b = y + 2.032 * u;
        }
        
    }
    
    gl_FragColor = sampleColor;
}
