
#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform int u_isOpen;

void main() {
    
    vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
    
    if (u_isOpen != 0) {
		vec4 color1 = v_fragmentColor* textureColor;
		float brightness = (color1.r + color1.g + color1.b) * (1. / 3.);
		float adjust = (1.5) * brightness;
		color1 = vec4(adjust, adjust, adjust, color1.a) * vec4(0.8, 1.2, 1.5, 1);
		gl_FragColor = color1;
    } else {
        gl_FragColor = v_fragmentColor * textureColor;
    }
    
}
