
#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform int u_isOpen;
uniform float u_speedX;
uniform float u_speedY;

void main() {
    
    if (u_isOpen != 0) {
	    vec2 texCoordTarget;
		float time = CC_Time[1];
		float offsetX = u_speedX * time; 
		float offsetY = u_speedY * time;
		v_texCoord.x = mod(offsetX + v_texCoord.x, 1);
		v_texCoord.y = mod(offsetY + v_texCoord.y, 1);
    } 
	
	vec4 textureColor = texture2D(CC_Texture0, v_texCoord);

	gl_FragColor = v_fragmentColor * textureColor;

}
